com.genesyslab.wfm8.API.service.config810

## Class CfgAuditLog

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgAuditLog

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAuditLog
      extends java.lang.Object
      implements java.io.Serializable

  Configuration Audit Log
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgAppInfo>` | `wmAppInfo`
    `protected int` | `wmAppInfoNSizeIs`
    `protected java.util.List<CfgEnum>` | `wmEnums`
    `protected int` | `wmEnumsNSizeIs`
    `protected java.util.List<CfgMetadata>` | `wmMetadata`
    `protected int` | `wmMetadataNSizeIs`
    `protected java.util.List<CfgObjectInfo>` | `wmObjectInfo`
    `protected int` | `wmObjectInfoNSizeIs`
    `protected java.util.List<CfgAuditRecord>` | `wmRecords`
    `protected int` | `wmRecordsNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAuditLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgAppInfo>` | `getWmAppInfo()` Gets the value of the wmAppInfo property.
    `int` | `getWmAppInfoNSizeIs()` Gets the value of the wmAppInfoNSizeIs property.
    `java.util.List<CfgEnum>` | `getWmEnums()` Gets the value of the wmEnums property.
    `int` | `getWmEnumsNSizeIs()` Gets the value of the wmEnumsNSizeIs property.
    `java.util.List<CfgMetadata>` | `getWmMetadata()` Gets the value of the wmMetadata property.
    `int` | `getWmMetadataNSizeIs()` Gets the value of the wmMetadataNSizeIs property.
    `java.util.List<CfgObjectInfo>` | `getWmObjectInfo()` Gets the value of the wmObjectInfo property.
    `int` | `getWmObjectInfoNSizeIs()` Gets the value of the wmObjectInfoNSizeIs property.
    `java.util.List<CfgAuditRecord>` | `getWmRecords()` Gets the value of the wmRecords property.
    `int` | `getWmRecordsNSizeIs()` Gets the value of the wmRecordsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setWmAppInfo(java.util.List<CfgAppInfo> wmAppInfo)` Sets the value of the wmAppInfo property.
    `void` | `setWmAppInfoNSizeIs(int value)` Sets the value of the wmAppInfoNSizeIs property.
    `void` | `setWmEnums(java.util.List<CfgEnum> wmEnums)` Sets the value of the wmEnums property.
    `void` | `setWmEnumsNSizeIs(int value)` Sets the value of the wmEnumsNSizeIs property.
    `void` | `setWmMetadata(java.util.List<CfgMetadata> wmMetadata)` Sets the value of the wmMetadata property.
    `void` | `setWmMetadataNSizeIs(int value)` Sets the value of the wmMetadataNSizeIs property.
    `void` | `setWmObjectInfo(java.util.List<CfgObjectInfo> wmObjectInfo)` Sets the value of the wmObjectInfo property.
    `void` | `setWmObjectInfoNSizeIs(int value)` Sets the value of the wmObjectInfoNSizeIs property.
    `void` | `setWmRecords(java.util.List<CfgAuditRecord> wmRecords)` Sets the value of the wmRecords property.
    `void` | `setWmRecordsNSizeIs(int value)` Sets the value of the wmRecordsNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgAuditLog` | `withWmAppInfo(CfgAppInfo... values)`
    `CfgAuditLog` | `withWmAppInfo(java.util.Collection<CfgAppInfo> values)`
    `CfgAuditLog` | `withWmAppInfoNSizeIs(int value)`
    `CfgAuditLog` | `withWmEnums(CfgEnum... values)`
    `CfgAuditLog` | `withWmEnums(java.util.Collection<CfgEnum> values)`
    `CfgAuditLog` | `withWmEnumsNSizeIs(int value)`
    `CfgAuditLog` | `withWmMetadata(CfgMetadata... values)`
    `CfgAuditLog` | `withWmMetadata(java.util.Collection<CfgMetadata> values)`
    `CfgAuditLog` | `withWmMetadataNSizeIs(int value)`
    `CfgAuditLog` | `withWmObjectInfo(CfgObjectInfo... values)`
    `CfgAuditLog` | `withWmObjectInfo(java.util.Collection<CfgObjectInfo> values)`
    `CfgAuditLog` | `withWmObjectInfoNSizeIs(int value)`
    `CfgAuditLog` | `withWmRecords(CfgAuditRecord... values)`
    `CfgAuditLog` | `withWmRecords(java.util.Collection<CfgAuditRecord> values)`
    `CfgAuditLog` | `withWmRecordsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmRecordsNSizeIs

          protected int wmRecordsNSizeIs

    - #### wmRecords

          protected java.util.List<CfgAuditRecord> wmRecords

    - #### wmMetadataNSizeIs

          protected int wmMetadataNSizeIs

    - #### wmMetadata

          protected java.util.List<CfgMetadata> wmMetadata

    - #### wmEnumsNSizeIs

          protected int wmEnumsNSizeIs

    - #### wmEnums

          protected java.util.List<CfgEnum> wmEnums

    - #### wmObjectInfoNSizeIs

          protected int wmObjectInfoNSizeIs

    - #### wmObjectInfo

          protected java.util.List<CfgObjectInfo> wmObjectInfo

    - #### wmAppInfoNSizeIs

          protected int wmAppInfoNSizeIs

    - #### wmAppInfo

          protected java.util.List<CfgAppInfo> wmAppInfo

  - ### Constructor Detail

    - #### CfgAuditLog

          public CfgAuditLog()

  - ### Method Detail

    - #### getWmRecordsNSizeIs

          public int getWmRecordsNSizeIs()

      Gets the value of the wmRecordsNSizeIs property.

    - #### setWmRecordsNSizeIs

          public void setWmRecordsNSizeIs(int value)

      Sets the value of the wmRecordsNSizeIs property.

    - #### getWmRecords

          public java.util.List<CfgAuditRecord> getWmRecords()

      Gets the value of the wmRecords property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmRecords property.

      For example, to add a new item, do as follows:

              getWmRecords().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAuditRecord`

    - #### getWmMetadataNSizeIs

          public int getWmMetadataNSizeIs()

      Gets the value of the wmMetadataNSizeIs property.

    - #### setWmMetadataNSizeIs

          public void setWmMetadataNSizeIs(int value)

      Sets the value of the wmMetadataNSizeIs property.

    - #### getWmMetadata

          public java.util.List<CfgMetadata> getWmMetadata()

      Gets the value of the wmMetadata property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmMetadata property.

      For example, to add a new item, do as follows:

              getWmMetadata().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgMetadata`

    - #### getWmEnumsNSizeIs

          public int getWmEnumsNSizeIs()

      Gets the value of the wmEnumsNSizeIs property.

    - #### setWmEnumsNSizeIs

          public void setWmEnumsNSizeIs(int value)

      Sets the value of the wmEnumsNSizeIs property.

    - #### getWmEnums

          public java.util.List<CfgEnum> getWmEnums()

      Gets the value of the wmEnums property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmEnums property.

      For example, to add a new item, do as follows:

              getWmEnums().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgEnum`

    - #### getWmObjectInfoNSizeIs

          public int getWmObjectInfoNSizeIs()

      Gets the value of the wmObjectInfoNSizeIs property.

    - #### setWmObjectInfoNSizeIs

          public void setWmObjectInfoNSizeIs(int value)

      Sets the value of the wmObjectInfoNSizeIs property.

    - #### getWmObjectInfo

          public java.util.List<CfgObjectInfo> getWmObjectInfo()

      Gets the value of the wmObjectInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmObjectInfo property.

      For example, to add a new item, do as follows:

              getWmObjectInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgObjectInfo`

    - #### getWmAppInfoNSizeIs

          public int getWmAppInfoNSizeIs()

      Gets the value of the wmAppInfoNSizeIs property.

    - #### setWmAppInfoNSizeIs

          public void setWmAppInfoNSizeIs(int value)

      Sets the value of the wmAppInfoNSizeIs property.

    - #### getWmAppInfo

          public java.util.List<CfgAppInfo> getWmAppInfo()

      Gets the value of the wmAppInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmAppInfo property.

      For example, to add a new item, do as follows:

              getWmAppInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgAppInfo`

    - #### withWmRecordsNSizeIs

          public CfgAuditLog withWmRecordsNSizeIs(int value)

    - #### withWmRecords

          public CfgAuditLog withWmRecords(CfgAuditRecord... values)

    - #### withWmRecords

          public CfgAuditLog withWmRecords(java.util.Collection<CfgAuditRecord> values)

    - #### withWmMetadataNSizeIs

          public CfgAuditLog withWmMetadataNSizeIs(int value)

    - #### withWmMetadata

          public CfgAuditLog withWmMetadata(CfgMetadata... values)

    - #### withWmMetadata

          public CfgAuditLog withWmMetadata(java.util.Collection<CfgMetadata> values)

    - #### withWmEnumsNSizeIs

          public CfgAuditLog withWmEnumsNSizeIs(int value)

    - #### withWmEnums

          public CfgAuditLog withWmEnums(CfgEnum... values)

    - #### withWmEnums

          public CfgAuditLog withWmEnums(java.util.Collection<CfgEnum> values)

    - #### withWmObjectInfoNSizeIs

          public CfgAuditLog withWmObjectInfoNSizeIs(int value)

    - #### withWmObjectInfo

          public CfgAuditLog withWmObjectInfo(CfgObjectInfo... values)

    - #### withWmObjectInfo

          public CfgAuditLog withWmObjectInfo(java.util.Collection<CfgObjectInfo> values)

    - #### withWmAppInfoNSizeIs

          public CfgAuditLog withWmAppInfoNSizeIs(int value)

    - #### withWmAppInfo

          public CfgAuditLog withWmAppInfo(CfgAppInfo... values)

    - #### withWmAppInfo

          public CfgAuditLog withWmAppInfo(java.util.Collection<CfgAppInfo> values)

    - #### setWmRecords

          public void setWmRecords(java.util.List<CfgAuditRecord> wmRecords)

      Sets the value of the wmRecords property.
      Parameters:
        `wmRecords` - allowed object is `CfgAuditRecord`

    - #### setWmMetadata

          public void setWmMetadata(java.util.List<CfgMetadata> wmMetadata)

      Sets the value of the wmMetadata property.
      Parameters:
        `wmMetadata` - allowed object is `CfgMetadata`

    - #### setWmEnums

          public void setWmEnums(java.util.List<CfgEnum> wmEnums)

      Sets the value of the wmEnums property.
      Parameters:
        `wmEnums` - allowed object is `CfgEnum`

    - #### setWmObjectInfo

          public void setWmObjectInfo(java.util.List<CfgObjectInfo> wmObjectInfo)

      Sets the value of the wmObjectInfo property.
      Parameters:
        `wmObjectInfo` - allowed object is `CfgObjectInfo`

    - #### setWmAppInfo

          public void setWmAppInfo(java.util.List<CfgAppInfo> wmAppInfo)

      Sets the value of the wmAppInfo property.
      Parameters:
        `wmAppInfo` - allowed object is `CfgAppInfo`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.